/* ========================================= */
/* BASE STYLES: Общие сбросы и стили тела страницы */
/* ========================================= */
:root {
  --main-color: #888888;
  --grey: #888888;
  --yellow: #e8ff18;
  --orange: #ffa200;
  --purple: #ff0084;
  --red: #ff0000;
  --green: rgb(44, 173, 44);
  --blue: rgb(37, 117, 255);
  --line-thickness: 2px;
  --main-padding: 15px;
}
input, textarea, select {
    outline: none;                   /* Полностью отключаем стандартную обводку */
    border: none;       /* Удаляем стандартную рамку */
    background: none;   /* Удаляем дефолтный фон браузера, если нужно */
}
input:focus, textarea:focus, select:focus, button:focus, [contenteditable="true"]:focus {
  /* 1. Убираем рамку и ее хром-модификации */
  outline: 0 !important;
  outline: none !important;
  outline: 1px solid transparent !important; /* Фикс для некоторых версий Chrome */
  /* 2. Убираем двойную тень (Хром часто подмешивает свою синюю/белую тень) */
  box-shadow: none !important;
  -webkit-box-shadow: none !important;
  /* 3. Сбрасываем системный внешний вид элемента */
  -webkit-appearance: none !important;
  appearance: none !important;
}
*:focus-visible {
  outline: none !important;
  box-shadow: none !important;
}

/* Для всего сайта */
::selection {
  background-color: #888888; /* Цвет фона при выделении */
  color: #ffffff;            /* Цвет текста при выделении */
}

/* Для браузеров на движке Gecko (старый Firefox) */
::-moz-selection {
  background-color: #888888;
  color: #ffffff;
}


* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    user-select: none;
    -webkit-user-select: none;
}

body, html {
    width: 100%;
    height: 100%;
    overflow: hidden; /* Основной контейнер не должен прокручиваться сам */
    font-family: sans-serif;
    background: #111;
    color: #fff;
}
